
<library path="lib/libdvrk_common_nodelets">

    <class name="dvrk_common/modified_census_transform"
           type="dvrk::ModifiedCensusTransformNodelet"
           base_class_type="nodelet::Nodelet">
        <description>
            Nodelet to apply the modified census transform (as described by L. Ma, J. Li, J. Ma et al in "A modified
            census transform based on the neighborhood information for stereo matching algorithm", DOI:
            10.1109/ICIG.2013.113).

            Input: image_raw
            Output: modified_census
        </description>
    </class>

    <class name="dvrk_common/hamming_distance"
           type="dvrk::HammingDistanceNodelet"
           base_class_type="nodelet::Nodelet">
        <description>
            Nodelet to compute the Hamming distance between two grayscale images

            Input: image_0, image_1
            Output: hamming_distance
        </description>
    </class>

    <class name="dvrk_common/image_viewer"
           type="ImageViewerNodelet"
           base_class_type="nodelet::Nodelet">
        <description>
            Nodelet to view an image in a window.

            Inputs: image_raw
            Output: N/A
        </description>
    </class>

    <class name="dvrk_common/stereo_viewer"
           type="StereoViewerNodelet"
           base_class_type="nodelet::Nodelet">
        <description>
            Nodelet to view a pair of stereo images in the same window.

            Inputs: left/image_raw, right/image_raw
            Output: N/A
        </description>
    </class>

</library>